                                     
################################################################
### USER SETTINGS ##############################################
################################################################

export HAMSTER_ID=agent1
export HAMSTER_IP=10.0.2.1
export HAMSTER_ROS_MASTER_IP=${HAMSTER_IP}

###### Capabilities ########
export HAMSTER_ENABLE_GPS=true
export HAMSTER_ENABLE_DETECTION=false

###### Platform settings ########
export HAMSTER_STEERING_OFFSET=0
export HAMSTER_SERIAL_PORT=/dev/ttyAMA0

###### Camera selector ########
export HAMSTER_CAMERA_TYPE_RASPICAM=true
export HAMSTER_CAMERA_TYPE_STEREOCAM=false
export HAMSTER_CAMERA_TYPE_REALSESNE=false

###### Raspicam settings ########
export HAMSTER_VIDEO_FPS=30
export HAMSTER_VIDEO_QUALITY=5
export HAMSTER_VIDEO_WIDTH=320
export HAMSTER_VIDEO_HEIGHT=240

###### IMU calibration ########
export HAMSTER_MAG_OFFSET_X=0.0
export HAMSTER_MAG_OFFSET_Y=0.0
export HAMSTER_MAG_OFFSET_Z=0.0
export HAMSTER_GYRO_OFFSET_X=0.0
export HAMSTER_GYRO_OFFSET_Y=-0.0
export HAMSTER_GYRO_OFFSET_Z=0.0

###### Misc #######
export HAMSTER_SIMULATION=false

################################################################
### DO NOT CHANGE ##############################################
################################################################

export HAMSTER_WORKSPACE=/home/pi/hamster_ws
source $HAMSTER_WORKSPACE/devel/setup.bash
export ROS_MASTER_URI=http://$HAMSTER_ROS_MASTER_IP:11311
export ROS_IP=$HAMSTER_IP
